Bug 32728 - webkit-patch needs better credential handling
Summary: webkit-patch needs better credential handling
Status: RESOLVED WORKSFORME
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 32635 33039
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-18 11:59 PST by Eric Seidel (no email)
Modified: 2010-10-25 16:23 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2009-12-18 11:59:58 PST
bugzilla-tool needs better credential handling

I believe that the "ask for password/username" stuff broke when I re-wrote credentials.py recently.

Also Dirk pointed out that he has no idea how to add something to the keychain.  bugzilla-tool needs to be fixed to know how to ask for passwords.  It should probably also know how to store them in the keychain for you, but that's probably a separate bug.
Comment 1 Eric Seidel (no email) 2009-12-18 12:37:25 PST
http://pypi.python.org/pypi/keyring looks very useful.  I wonder if we could either auto-download that, or require people to install it if they want keychain support...
Comment 2 Eric Seidel (no email) 2010-01-04 13:27:43 PST
autoinstall support landed as part of bug 32635 and can now be easily used for things like keyring if desired:
http://trac.webkit.org/browser/trunk/WebKitTools/Scripts/webkitpy/__init__.py

The "ask for password/username" stuff has been fixed by Dan Bates in bug 33039.
Comment 3 Eric Seidel (no email) 2010-10-25 16:23:22 PDT
This has been fixed in later bugs.